Package io.vertx.tracing.zipkin

## Class VertxSender

- java.lang.Object
- - zipkin2.reporter.BytesMessageSender.Base
  - - zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>
    - - io.vertx.tracing.zipkin.VertxSender

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `zipkin2.reporter.BytesMessageSender`

      public class VertxSender
      extends zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>

  An HTTP sender using Vert.x HttpClient, only JSON encoding is supported.
  Author:
    Julien Viet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface zipkin2.reporter.BytesMessageSender

      `zipkin2.reporter.BytesMessageSender.Base`

  - ### Field Summary

    - ### Fields inherited from class zipkin2.reporter.BytesMessageSender.Base

      `encoding`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxSender​(HttpSenderOptions options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doClose()` |
    `zipkin2.reporter.Encoding` | `encoding()` |
    `int` | `messageMaxBytes()` |
    `int` | `messageSizeInBytes​(List<byte[]> encodedSpans)` |
    `protected Buffer` | `newBody​(List<byte[]> encodedSpans)` |
    `protected RequestOptions` | `newEndpoint​(String endpoint)` |
    `HttpSenderOptions` | `options()` |
    `protected void` | `postSpans​(RequestOptions requestOptions, Buffer body)` |

    - ### Methods inherited from class zipkin2.reporter.BaseHttpSender

      `close, send, toString`

    - ### Methods inherited from class zipkin2.reporter.BytesMessageSender.Base

      `messageSizeInBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxSender

          public VertxSender​(HttpSenderOptions options)

  - ### Method Detail

    - #### options

          public HttpSenderOptions options()

    - #### encoding

          public zipkin2.reporter.Encoding encoding()

      Specified by:
        `encoding` in interface `zipkin2.reporter.BytesMessageSender`
      Overrides:
        `encoding` in class `zipkin2.reporter.BytesMessageSender.Base`

    - #### messageMaxBytes

          public int messageMaxBytes()

      Specified by:
        `messageMaxBytes` in interface `zipkin2.reporter.BytesMessageSender`
      Overrides:
        `messageMaxBytes` in class `zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>`

    - #### messageSizeInBytes

          public int messageSizeInBytes​(List<byte[]> encodedSpans)

      Specified by:
        `messageSizeInBytes` in interface `zipkin2.reporter.BytesMessageSender`
      Overrides:
        `messageSizeInBytes` in class `zipkin2.reporter.BytesMessageSender.Base`

    - #### newEndpoint

          protected RequestOptions newEndpoint​(String endpoint)

      Specified by:
        `newEndpoint` in class `zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>`

    - #### newBody

          protected Buffer newBody​(List<byte[]> encodedSpans)

      Specified by:
        `newBody` in class `zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>`

    - #### postSpans

          protected void postSpans​(RequestOptions requestOptions,
                                   Buffer body)
                            throws IOException

      Specified by:
        `postSpans` in class `zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>`
      Throws:
        `IOException`

    - #### doClose

          public void doClose()

      Overrides:
        `doClose` in class `zipkin2.reporter.BaseHttpSender<RequestOptions,​Buffer>`